# Interface OrderEnumerator

public interface OrderEnumerator
A means for describing odering information, and Utilities for creating such Orderings

Version:
  $Id: OrderEnumerator.java 849 2007-12-06 00:10:14Z twobeers $
Author:
  Matthew Goode

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`OrderEnumerator.OEFactory`
`static class`
`OrderEnumerator.Utils`

## Method Summary

Modifier and Type
Method
Description
`int`
`getNext()`
The next value in the enumeration
`boolean`
`hasMore()`
If hasMore returns false reset should be called
`void`
`reset()`
Reset back to starting state, may have a differnet number of values, and a different ordering after a reset!

## Method Details

### hasMore

boolean hasMore()
If hasMore returns false reset should be called

### getNext

int getNext()
The next value in the enumeration

### reset

void reset()
Reset back to starting state, may have a differnet number of values, and a different ordering after a reset!